2017-09-23 00:10 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003709Kali Linux[All Projects] General Bugpublic2017-02-16 16:30
Reportervaze159 
Assigned Torhertzog 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003709: gnome-control-center segmentation fault when trying to open User settings
DescriptionI am having a problematic issue with gnome-control-center that I can't seem to figure out after running apt-get dist-upgrade. I am able to open the settings as root user just fine. When I click on Users, nothing happens.I am running on Linux kali 4.7.0-kali1-amd64 0000001 SMP Debian 4.7.8-1kali1 (2016-10-24) x86_64 GNU/Linux.

dpkg --list gnome-control-center
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii gnome-control- 1:3.22.1-1 amd64 utilities to configure the GNOME

dpkg -s libc6 | grep ^Version
Version: 2.24-5

This is what I get in /var/log/syslog

Oct 27 21:00:09 kali kernel: [ 695.533180] gnome-control-c[1944]: segfault at 0 ip 00000000004c9a5d sp 00007fffae418480 error 4 in gnome-control-center[400000+394000]

I have tried running the command:
addr2line -e /usr/bin/gnome-control-center -fCi 0xC9A5D where 0xC9A5d is the offset into the object that was causing the problem and I get nothing.

I then ran:
addr2line -e /usr/bin/gnome-control-center -fCi 0x00000000004c9a5d and I get:
cc_universal_access_get_resource
??:?

Interesting...

I understand that the cause of this was that a user mode instruction resulted in a page fault. I have a couple gnome-control-center files of interest listed here:
/usr/share/bash-completion/completions/gnome-control-center
/usr/bin/gnome-control-center

I doubt that the issue is with the fist file listed since it is a bash script for tab completion.

I am unable to obtain a useful backtrace because I do not know how to get the debug packages. But anyways, here is the back trace I have obtained.

Thread 1 "gnome-control-c" received signal SIGSEGV, Segmentation fault.
0x00000000004c9a5d in ?? ()
(gdb) bt full
#0 0x00000000004c9a5d in ?? ()
No symbol table info available.
0000001 0x00007ffff0b74f75 in g_closure_invoke ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#2 0x00007ffff0b86f82 in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#3 0x00007ffff0b8fbcc in g_signal_emit_valist ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000004 0x00007ffff0b8ffaf in g_signal_emit ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000005 0x00007ffff0b793a4 in ?? ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000006 0x00007ffff0b7b861 in g_object_notify ()
   from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000007 0x00007ffff58587e2 in ?? () from /usr/lib/libaccountsservice.so.0
No symbol table info available.
0000008 0x00007ffff0e424e3 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
---Type <return> to continue, or q <return> to quit---return
No symbol table info available.
0000009 0x00007ffff0e42b96 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.
0000010 0x00007ffff0e80a5b in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.
0000011 0x00007ffff0e424e3 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.
0000012 0x00007ffff0e42b96 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.
0000013 0x00007ffff0e7568a in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.
0000014 0x00007ffff0e424e3 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.
0000015 0x00007ffff0e42519 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.
0000016 0x00007ffff089b68a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
0000017 0x00007ffff089ba40 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
0000018 0x00007ffff089baec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
0000019 0x00007ffff0e5770d in g_application_run () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.
0000020 0x000000000044cff7 in main ()
No symbol table info available.

I filed a bug report here as well: https://bugzilla.gnome.org/show_bug.cgi?id=773673
Steps To ReproduceAfter running a clean install.
1) run apt-get update
2) run apt-get dist-upgrade
3) run gnome-control-center
4) Navigate to User settings
5) Try to open User settings
6) Notice the segfault in the console

Or perhaps

After running a clean install.
1) run apt-get update
2) run apt-get dist-upgrade
3) run apt-get install nvidia-kernel-dkms
4) run sed 's/quiet/quiet nouveau.modeset=0/g' -i /etc/default/grub
5) reboot
6) run gnome-control-center
7) Navigate to User settings
8) Try to open User settings
8) Notice the segfault in the console
Attached Files

-Relationships
+Relationships

-Notes

~0006105

vaze159 (reporter)

Sorry, this probably should be listed under a package bug.

~0006143

vaze159 (reporter)

The issue was resolved by manually going to the terminal and typing "sudo useradd temp". This allowed me to then access the gnome-control-center Users settings.

~0006144

vaze159 (reporter)

I still feel this is a bug though. It must have been segfaulting because it gnome-control-center was looking for a user when trying to Access the Users settings and there were none (but root).

~0006160

paulk (reporter)

I am also getting this error on a clean, updated install of Kali. Trying to open account settings results in

gnome-control-c[6141]: segfault at 0 ip 00000000004c9a5d sp 00007fff41aa6d10 error 4 in gnome-control-center[400000+394000]

~0006210

personguy (reporter)

I have the same error on a freshly installed and updated 2016.2

Adding another user with "useradd" does allow the "Users" window to be opened, however there is no access to the "root" user settings.

Attempting "useradd root" results in "useradd: user 'root' already exists" (perhaps obviously enough).

The segmentation fault in gnome control center was solved for some Ubuntu users by downgrading the gnome control center to its previous version, but I don't know how to go about that on this version of Kali Linux.

~0006211

personguy (reporter)

Something to consider:
The various settings windows can be accessed individually from the terminal by appending their name after "gnome-control-center" (e.g. "gnome-control-center keyboard" directly opens the keyboard settings window).

However, trying to do the same with the "users" window results in the error message "** (gnome-control-center:1701): WARNING **: Could not find settings panel "users""

~0006228

lwczzhiwu (reporter)

I got this from /var/log/messages

gnome-control-c[30534]: act_user_get_uid: assertion 'ACT_IS_USER (user)' failed
gnome-control-c[30534]: act_user_get_account_type: assertion 'ACT_IS_USER (user)' failed
gnome-control-c[30534]: act_user_set_account_type: assertion 'ACT_IS_USER (user)' failed
gnome-control-c[30534]: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

~0006414

rhertzog (administrator)

FTR this has been forwarded upstream a while ago:
https://bugzilla.gnome.org/show_bug.cgi?id=773673

~0006415

rhertzog (administrator)

Fixed with gnome-control-center 3.22.1-2kali1.
+Notes

-Issue History
Date Modified Username Field Change
2016-11-04 16:26 vaze159 New Issue
2016-11-04 16:29 vaze159 Note Added: 0006105
2016-11-30 14:40 vaze159 Note Added: 0006143
2016-11-30 14:47 vaze159 Note Added: 0006144
2016-12-13 21:58 paulk Note Added: 0006160
2016-12-28 22:23 personguy Note Added: 0006210
2016-12-28 22:27 personguy Note Added: 0006211
2017-01-10 16:58 lwczzhiwu Note Added: 0006228
2017-01-11 08:14 rhertzog Assigned To => rhertzog
2017-01-11 08:14 rhertzog Status new => assigned
2017-02-16 14:42 rhertzog Note Added: 0006414
2017-02-16 16:30 rhertzog Status assigned => resolved
2017-02-16 16:30 rhertzog Resolution open => fixed
2017-02-16 16:30 rhertzog Fixed in Version => 2017.1
2017-02-16 16:30 rhertzog Note Added: 0006415
+Issue History